# usage:
{## {% import "env.jinja" as env %} ##}

#
# When building images, there are some configuration we (don't) want
# to apply. The `CI_STAGE` environment variable allows us to easily
# tell whether we are early in the configuration process or not. The
# `final` stage, the default one, indicates we can apply the full
# configuration.
#
# Fun fact: We started with the `stage` environment variable. We
# didn't know that the Glasgow Haskell Compiler (GHC) uses it internally
# for it's build system and caused our install of gitit to fail.
# 4 hours wasted. Keep your environment variables properly namespaced!
#
{% set stage = salt.environ.get('CI_STAGE', 'final') %}
{% set imaging = (salt.environ.get('CI_IMAGING', '') != '') %}


#
# The `env` grain indicates whether we are in production or another
# environment. This allows us to generate different configs based on
# our current operating environment.
#
{% set name = salt.grains.get('env', 'dev') %}

#
# - `domains`: used to generate domain-based configuration (e.g. haproxy)
# - `iface`:   used by geo.inf to configure the public network interface
#
{% if 'dev' == name %}
  {% set domains = ['fkq.mooo.com'] %}
  {% set iface = 'ens4' %}
{% elif 'stg' == name %}
  {% set domains = ['stg.ageei.org'] %}
  {% set iface = 'ens4' %}
{% elif 'prd' == name %}
  {% set domains = ['ageei.org'] %}
  {% set iface = 'eno1' %}
{% endif %}
